--- decoders/flac.c.orig	2008-01-16 22:11:00.000000000 +0000
+++ decoders/flac.c	2008-01-16 21:40:32.000000000 +0000
@@ -44,42 +44,42 @@
 #define __SDL_SOUND_INTERNAL__
 #include "SDL_sound_internal.h"
 
-#include <FLAC/seekable_stream_decoder.h>
+#include <FLAC/stream_decoder.h>
 
-#define D_END_OF_STREAM               FLAC__SEEKABLE_STREAM_DECODER_END_OF_STREAM
+#define D_END_OF_STREAM               FLAC__STREAM_DECODER_END_OF_STREAM
 
-#define d_new()                       FLAC__seekable_stream_decoder_new()
-#define d_init(x)                     FLAC__seekable_stream_decoder_init(x)
-#define d_process_metadata(x)         FLAC__seekable_stream_decoder_process_until_end_of_metadata(x)
-#define d_process_one_frame(x)        FLAC__seekable_stream_decoder_process_single(x)
-#define d_get_state(x)                FLAC__seekable_stream_decoder_get_state(x)
-#define d_finish(x)                   FLAC__seekable_stream_decoder_finish(x)
-#define d_delete(x)                   FLAC__seekable_stream_decoder_delete(x)
-#define d_set_read_callback(x, y)     FLAC__seekable_stream_decoder_set_read_callback(x, y)
-#define d_set_write_callback(x, y)    FLAC__seekable_stream_decoder_set_write_callback(x, y)
-#define d_set_metadata_callback(x, y) FLAC__seekable_stream_decoder_set_metadata_callback(x, y)
-#define d_set_error_callback(x, y)    FLAC__seekable_stream_decoder_set_error_callback(x, y)
-#define d_set_client_data(x, y)       FLAC__seekable_stream_decoder_set_client_data(x, y)
-
-typedef FLAC__SeekableStreamDecoder           decoder_t;
-typedef FLAC__SeekableStreamDecoderReadStatus d_read_status_t;
-
-#define D_SEEK_STATUS_OK              FLAC__SEEKABLE_STREAM_DECODER_SEEK_STATUS_OK
-#define D_SEEK_STATUS_ERROR           FLAC__SEEKABLE_STREAM_DECODER_SEEK_STATUS_ERROR
-#define D_TELL_STATUS_OK              FLAC__SEEKABLE_STREAM_DECODER_TELL_STATUS_OK
-#define D_TELL_STATUS_ERROR           FLAC__SEEKABLE_STREAM_DECODER_TELL_STATUS_ERROR
-#define D_LENGTH_STATUS_OK            FLAC__SEEKABLE_STREAM_DECODER_LENGTH_STATUS_OK
-#define D_LENGTH_STATUS_ERROR         FLAC__SEEKABLE_STREAM_DECODER_LENGTH_STATUS_ERROR
-
-#define d_set_seek_callback(x, y)     FLAC__seekable_stream_decoder_set_seek_callback(x, y)
-#define d_set_tell_callback(x, y)     FLAC__seekable_stream_decoder_set_tell_callback(x, y)
-#define d_set_length_callback(x, y)   FLAC__seekable_stream_decoder_set_length_callback(x, y)
-#define d_set_eof_callback(x, y)      FLAC__seekable_stream_decoder_set_eof_callback(x, y)
-#define d_seek_absolute(x, y)         FLAC__seekable_stream_decoder_seek_absolute(x, y)
-
-typedef FLAC__SeekableStreamDecoderSeekStatus   d_seek_status_t;
-typedef FLAC__SeekableStreamDecoderTellStatus   d_tell_status_t;
-typedef FLAC__SeekableStreamDecoderLengthStatus d_length_status_t;
+#define d_new()                       FLAC__stream_decoder_new()
+#define d_init(x)                     FLAC__stream_decoder_init(x)
+#define d_process_metadata(x)         FLAC__stream_decoder_process_until_end_of_metadata(x)
+#define d_process_one_frame(x)        FLAC__stream_decoder_process_single(x)
+#define d_get_state(x)                FLAC__stream_decoder_get_state(x)
+#define d_finish(x)                   FLAC__stream_decoder_finish(x)
+#define d_delete(x)                   FLAC__stream_decoder_delete(x)
+#define d_set_read_callback(x, y)     FLAC__stream_decoder_set_read_callback(x, y)
+#define d_set_write_callback(x, y)    FLAC__stream_decoder_set_write_callback(x, y)
+#define d_set_metadata_callback(x, y) FLAC__stream_decoder_set_metadata_callback(x, y)
+#define d_set_error_callback(x, y)    FLAC__stream_decoder_set_error_callback(x, y)
+#define d_set_client_data(x, y)       FLAC__stream_decoder_set_client_data(x, y)
+
+typedef FLAC__StreamDecoder           decoder_t;
+typedef FLAC__StreamDecoderReadStatus d_read_status_t;
+
+#define D_SEEK_STATUS_OK              FLAC__STREAM_DECODER_SEEK_STATUS_OK
+#define D_SEEK_STATUS_ERROR           FLAC__STREAM_DECODER_SEEK_STATUS_ERROR
+#define D_TELL_STATUS_OK              FLAC__STREAM_DECODER_TELL_STATUS_OK
+#define D_TELL_STATUS_ERROR           FLAC__STREAM_DECODER_TELL_STATUS_ERROR
+#define D_LENGTH_STATUS_OK            FLAC__STREAM_DECODER_LENGTH_STATUS_OK
+#define D_LENGTH_STATUS_ERROR         FLAC__STREAM_DECODER_LENGTH_STATUS_ERROR
+
+#define d_set_seek_callback(x, y)     FLAC__stream_decoder_set_seek_callback(x, y)
+#define d_set_tell_callback(x, y)     FLAC__stream_decoder_set_tell_callback(x, y)
+#define d_set_length_callback(x, y)   FLAC__stream_decoder_set_length_callback(x, y)
+#define d_set_eof_callback(x, y)      FLAC__stream_decoder_set_eof_callback(x, y)
+#define d_seek_absolute(x, y)         FLAC__stream_decoder_seek_absolute(x, y)
+
+typedef FLAC__StreamDecoderSeekStatus   d_seek_status_t;
+typedef FLAC__StreamDecoderTellStatus   d_tell_status_t;
+typedef FLAC__StreamDecoderLengthStatus d_length_status_t;
 
 #define D_WRITE_CONTINUE     FLAC__STREAM_DECODER_WRITE_STATUS_CONTINUE
 #define D_READ_END_OF_STREAM FLAC__STREAM_DECODER_READ_STATUS_END_OF_STREAM
